- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstFileType Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Member Functions
| VstFileType (const char *_name=0, const char *_macType=0, const char *_dosType=0, const char *_unixType=0, const char *_mimeType1=0, const char *_mimeType2=0)
## Public Attributes
char | name [128]
| display name
char | macType [8]
| MacOS type.
char | dosType [8]
| Windows file extension.
char | unixType [8]
| Unix file extension.
char | mimeType1 [128]
| MIME type.
char | mimeType2 [128]
| additional MIME type

## Detailed Description

File filter used in VstFileSelect.

## Constructor & Destructor Documentation

VstFileType::VstFileType | ( | const char * | _name = `0`,
|  | const char * | _macType = `0`,
|  | const char * | _dosType = `0`,
|  | const char * | _unixType = `0`,
|  | const char * | _mimeType1 = `0`,
|  | const char * | _mimeType2 = `0` |
| ) |  |  | `[inline]`

## Member Data Documentation

char VstFileType::dosType[8]

Windows file extension.

char VstFileType::macType[8]

MacOS type.

char VstFileType::mimeType1[128]

MIME type.

char VstFileType::mimeType2[128]

additional MIME type

char VstFileType::name[128]

display name

char VstFileType::unixType[8]

Unix file extension.

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.